/* z_signal.h (ZRAM: signal handler)
   Ambros Marzetta

 * $Source: /home/schilte/marzetta/work/distr/zram/RCS/z_signal.h,v $
 * $Revision: 1.1 $
 * $Date: 1996/05/08 20:30:42 $
 * $Log: z_signal.h,v $
 * Revision 1.1  1996/05/08  20:30:42  marzetta
 * Initial revision
 *
 */

#ifndef _Z_SIGNAL_H_
#define _Z_SIGNAL_H_

extern boolean z_signal_trace;	/* trace the signal handler */
extern long z_signal_checkpointTime;
                                /* time in seconds between checkpoints */

void z_StartCheckpointTimer(void);

void z_signal_Init(void);
/* Install a signal handler for the terminate signal. When the process
   receives the signal, it sets the z_terminate and z_checkpoint variables
   defined in z_base.h.
   */

#endif /* _Z_SIGNAL_H_ */
